[Pythonmac-SIG] Building python 2.4.3 on OSX 10.3.9

Michael Glassford glassfordm at hotmail.com
Sun Jul 9 03:31:14 CEST 2006

Ronald Oussoren wrote:
> On Jul 8, 2006, at 5:27 PM, Piet van Oostrum wrote:
>>>>>>> Michael Glassford <glassfordm at gmail.com> (MG) wrote:
>>> MG> As far as I can tell, XCode isn't installed at all. I ran the 
>>> XCode 2.3
>>> MG> installer, but it says "You can only install this software on MacOS
>>> MG> 10.4". I couldn't find installers for any earlier versions of XCode.
>> When you haven't XCode installed, how come you have gcc?
> IIRC Xcode 1.5 installs on 10.3.9.
> Michael, do you have a /Developer folder on your system? 
I do.

> If you do you 
> have some edition of the developer tools installed.

All that was in it were the SDKs I had installed (10.3.9, QuickDraw, 
CoreAudio; all of which were necessary to fix specific build errors). 
There was no XCode stuff. I've finally found the Panther install CD and 
now have XCode 1.5 installed. I've finally successfully build Python 
2.4.3, but am now running into other problems building my application. I 
haven't the time to look into them very deeply yet. They look like 
QuickTime errors, though I don't know why I should be getting those as 
the QuickTime SDK is installed. I'll report back if I can't figure it out.


More information about the Pythonmac-SIG mailing list